@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500&display=swap');

html,body{
    padding: 0;
    margin: 0;
}

*{
    padding: 0;
    margin: 0;
    
    font-family: 'Poppins', sans-serif;
}

.big-promo{
    height: 80vh;
    /* width: 100%; */
    /* background: linear-gradient(to bottom,#f64f59,#62a6e2 ); */
    
    /* background-color: yellow; */
    /* opacity: 10; */
    
    display: grid;
    grid-template-rows: 1fr 60% 1fr;
    justify-content: center;
}


.back-video{
    position: absolute;
    z-index: -1;
    /* height: 83vh; */
    width: 100%;
}

.txt-container{
    color: white; 
    grid-row: 2/3;
    align-content: center;
    display: flexbox;
    flex-flow: wrap;
}

.txt-container h1{
    height: 125px;
    font-size: 100px;
    margin: 10px 10px 0px;
    text-align: center;
    color: red;
    /* -webkit-text-stroke: 0.3px white; */
}

.big-promo > .txt-container > p{
    margin: 0px 10px;
    font-size: 20px;
    text-align: center;
    color: red;
    /* background: white; */
}

.submitemail{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 30px;
}

.submitemail > input{
    height: 50px;
    width: 60%;
    border: none;
    outline: none;
    font-size: 25px;
    padding: 0px 10px;
    background: white;

    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.submitemail > button{
    cursor: pointer;
    height: 50px;
    color: white;
    /* width: 60%; */
    border: none;
    /* outline: none; */
    font-size: 15px;
    padding: 10px;
    background: red;

    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

@media (max-width: 890px) and (min-width: 670px){

    .big-promo{
        display: flex;
        flex-flow: wrap;
        justify-content: center;
        align-content: center;
        height: 60vh;
    }

    .txt-container h1{
        font-size: 40px;
        height: 50px;
    }

    .big-promo > .txt-container > p{
        font-size: 15px;
    }

    .submitemail > input{
        height: 40px;
        font-size: 20px;
    }

    .submitemail > button{
        height: 40px;
    }
}

@media (max-width: 669px) and (min-width: 418px){

    .big-promo{
        display: flex;
        flex-flow: wrap;
        justify-content: center;
        align-content: center;
        height: 40vh;
    }

    .txt-container h1{
        font-size: 35px;
        height: 40px;
    }

    .big-promo > .txt-container > p{
        font-size: 12px;
    }

    .submitemail > input{
        height: 20px;
        font-size: 12px;
    }

    .submitemail > button{
        height: 20px;
        font-size: 12px;
        padding: 0px 5px;
    }
}

@media (max-width: 417px) and (min-width: 280px){

    .big-promo{
        display: flex;
        flex-flow: wrap;
        justify-content: center;
        align-content: center;
        height: 25vh;
    }

    .txt-container h1{
        font-size: 35px;
        height: 40px;
    }

    .big-promo > .txt-container > p{
        font-size: 12px;
    }

    .submitemail > input{
        height: 20px;
        font-size: 12px;
    }

    .submitemail > button{
        height: 20px;
        font-size: 12px;
        padding: 0px 5px;
    }
}